## org.eclipse.emf.compare.diff.metamodel
Interface ComparisonResourceSnapshot

All Superinterfaces:
  ComparisonSnapshot, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ComparisonResourceSnapshotImpl

    public interface ComparisonResourceSnapshot

extends ComparisonSnapshot

A representation of the model object 'Comparison Snapshot'. This can be used to hold the result of single-elements comparison (Resource with Resource, EObject with EObject, ...).

The following features are supported:

- `Diff`
- `Match`

See Also:
  `DiffPackage.getComparisonResourceSnapshot()`

Method Summary
`DiffModel` `getDiff()` Returns the value of the 'Diff' containment reference
`MatchModel` `getMatch()` Returns the value of the 'Match' containment reference
`void` `setDiff(DiffModel value)` Sets the value of the '`Diff`' containment reference
`void` `setMatch(MatchModel value)` Sets the value of the '`Match`' containment reference

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.ComparisonSnapshot
`getDate, setDate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiff

    DiffModel getDiff()

  Returns the value of the 'Diff' containment reference.

  If the meaning of the 'Diff' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diff' containment reference.
  See Also:
    `setDiff(DiffModel)`, `DiffPackage.getComparisonResourceSnapshot_Diff()`

### setDiff

    void setDiff(DiffModel value)

  Sets the value of the '`Diff`' containment reference.

  Parameters:
    `value` - the new value of the 'Diff' containment reference.
  See Also:
    `getDiff()`

### getMatch

    MatchModel getMatch()

  Returns the value of the 'Match' containment reference.

  If the meaning of the 'Match' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Match' containment reference.
  See Also:
    `setMatch(MatchModel)`, `DiffPackage.getComparisonResourceSnapshot_Match()`

### setMatch

    void setMatch(MatchModel value)

  Sets the value of the '`Match`' containment reference.

  Parameters:
    `value` - the new value of the 'Match' containment reference.
  See Also:
    `getMatch()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.